# Copyright 2023 The EASYDEL Author @erfanzar (Erfan Zare Chavoshi).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Implementation by @erfanzar,
# with a few bug fixes and adjustments.

from .grouped_matmul_pallas import pallas_grouped_matmul
from .matmul_pallas import pallas_matmul
from .paged_attention_pallas import pallas_chunked_prefill_attention, pallas_paged_attention, pallas_prefill_attention
from .ragged_attention_pallas import pallas_ragged_decode
from .ring_attention_pallas import pallas_ring_attention

__all__ = (
    "pallas_chunked_prefill_attention",
    "pallas_grouped_matmul",
    "pallas_matmul",
    "pallas_paged_attention",
    "pallas_prefill_attention",
    "pallas_ragged_decode",
    "pallas_ring_attention",
)
